#include <stdio.h>

#define MAX(A, B)  ((A > B) ? A : B)
#define MIN(A, B)  ((A < B) ? A : B)

typedef struct{
    unsigned long x;
    unsigned long y;
} Rectangle;

unsigned long carveNewSquare(Rectangle *input){
    if(MIN(input->x, input->y)==input->x){
        unsigned long carved = input->y / input->x;
        input->y = input->y % input->x;
        return carved;
    } else {
        unsigned long carved = input->x / input->y;
        input->x = input->x % input->y;
        return carved;
    }
}

unsigned int getAllSquares(Rectangle *input){
    unsigned int count = 0;

    while(MIN(input->x, input->y) != 0){
        count += carveNewSquare(input);
    }

    return count;
}

void main(){
    unsigned long x ,y;
    scanf("%lu\n%lu", &x, &y);

    Rectangle entered = {x, y};

    unsigned int squareNo = getAllSquares(&entered);

    printf("%d", squareNo);

}
