using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace prag
{
    class Program
    {
        static void Main(string[] args)
        {
            int brojTakmicara = int.Parse(Console.ReadLine());
            int[] takmicari = Console.ReadLine().Split(' ').Select((v) => int.Parse(v)).ToArray();
            int brojPragova = int.Parse(Console.ReadLine());
            int[] pragovi = Console.ReadLine().Split(' ').Select((v) => int.Parse(v)).ToArray();

            for (int i = 0; i < brojPragova; i++)
            {
                int prag = pragovi[i];
                if (takmicari[0] < prag) { Console.WriteLine(0); continue; }
                else if (takmicari[brojTakmicara - 1] > prag) { Console.WriteLine(brojTakmicara); continue; }
                int min = 0, max = brojTakmicara - 1;
                while (min != max)
                {
                    int mid = (min + max) / 2;
                    if (takmicari[mid] > prag)
                        min = mid + 1;
                    else if (takmicari[mid] == prag)
                        min = max = mid;
                    else max = mid;
                }
                Console.WriteLine(min);
            }
        }
    }
}
